<template>
    <modal :show="show" :max-width="maxWidth" :closeable="closeable" @close="close">
        <div class="px-6 py-4">
            <div class="text-lg dark:text-white">
                <slot name="title">
                </slot>
            </div>

            <div class="mt-4 dark:text-white">
                <slot>
                </slot>
            </div>
        </div>

        <div class="px-6 py-4 bg-gray-100 dark:bg-gray-800 text-right dark:text-white">
            <slot name="footer">
            </slot>
        </div>
    </modal>
</template>

<script>
    import Modal from './Modal'

    export default {
        components: {
            Modal,
        },

        props: {
            show: {
                default: false
            },
            maxWidth: {
                default: '2xl'
            },
            closeable: {
                default: true
            },
        },

        methods: {
            close() {
                this.$emit('close')
            },
        }
    }
</script>
